Uses of Class
io.vertx.mutiny.httpproxy.ProxyRequest
Packages that use ProxyRequest
-
Uses of ProxyRequest in io.vertx.mutiny.httpproxy
Fields in io.vertx.mutiny.httpproxy with type parameters of type ProxyRequestMethods in io.vertx.mutiny.httpproxy that return ProxyRequestModifier and TypeMethodDescriptionstatic ProxyRequestProxyRequest.newInstance(io.vertx.httpproxy.ProxyRequest delegate) Creates a new instance of theProxyRequest.ProxyRequest.proxyAndForget(HttpClientRequest request) Proxy this request to the origin server using the specifiedrequestand then send the proxy response.ProxyRequest.release()Release the proxy request and its associated resources.ProxyContext.request()ProxyResponse.request()Return the correspondingProxyRequest.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest) Create a newProxyRequestinstance, the proxied request will be paused.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest, io.vertx.httpproxy.ForwardedHeadersOptions forwardedHeadersOptions) LikereverseProxy(HttpServerRequest)but using specific ForProxyRequest.sendAndForget(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyRequest.setAuthority(io.vertx.core.net.HostAndPort authority) Set the request authority.Set the request body to be sent to the origin server.ProxyRequest.setMethod(io.vertx.core.http.HttpMethod method) Set the HTTP method to be sent to the origin server.Set the request URI to be sent to the origin server.